Bug 179542

Summary: [JSC] Remove ARM implementation of branchTruncateDoubleToUInt32
Product: WebKit Reporter: Guillaume Emont <guijemont>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, buildbot, commit-queue, keith_miller, mark.lam, msaboff, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Guillaume Emont 2017-11-10 13:06:13 PST
This method has been deprecated in r160205. We should remove these implementations.
Comment 1 Guillaume Emont 2017-11-13 13:09:27 PST
Changing title to only focus on the ARM implementation, as the MIPS implementation should be removed by the patch for bug 179563.
Comment 2 Guillaume Emont 2017-11-13 13:25:33 PST
Created attachment 326790 [details]
Patch
Comment 3 WebKit Commit Bot 2017-11-13 14:52:59 PST
Comment on attachment 326790 [details]
Patch

Clearing flags on attachment: 326790

Committed r224783: <https://trac.webkit.org/changeset/224783>
Comment 4 WebKit Commit Bot 2017-11-13 14:53:00 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2017-11-15 09:37:53 PST
<rdar://problem/35562102>